package com.develou.snackbar_en_android

interface LogCommand {
    fun saveLog(log: String)
    fun undo()
}

class SaveLogCommand(private val logs: MutableList<String>) : LogCommand {
    private var lastLog: String? = null

    override fun saveLog(log: String) {
        val sanitizeLog = if (log.isBlank()) "[vacío]" else log
        lastLog = sanitizeLog
        logs.add(sanitizeLog)
    }

    override fun undo() {
        logs.remove(lastLog)
    }
}